关于在PC机上编译madplay出现的问题

为当前最终发行版之前的所有版本提供支持
回复
muyuzhu
帖子: 4
注册时间: 2010-11-20 17:44
送出感谢: 0
接收感谢: 0

关于在PC机上编译madplay出现的问题

#1

帖子 muyuzhu » 2010-11-28 14:15

在pc机上编译完成madplay后,以root命令执行./madplay music.mp3后出现以下提示:MPEG Audio Decoder 0.15.2 (beta) - Copyright (C) 2000-2004 Robert Leslie et al.
audio: /dev/dsp: 没有那个设备或地址


请各位大侠帮帮忙,解释一下到底是怎么回事~~
头像
hiphen
帖子: 803
注册时间: 2010-08-27 15:53
送出感谢: 0
接收感谢: 1 次

Re: 关于在PC机上编译madplay出现的问题

#2

帖子 hiphen » 2010-11-28 20:49

发现aptitude的库中有madplay,不解为啥lz要编译安装,

没玩过madplay解答不了
建议lz使用以下命令安装madplay

sudo apt-get install madplay
基础问题,请看入门手册http://people.ubuntu.com/~happyaron/udc-cn/lucid-html/

Acer aspire 4736G / Ubuntu 10.04LTS
Asus eeepc900 / Xandros
Nokia N900 / Maemo 1.2.12
muyuzhu
帖子: 4
注册时间: 2010-11-20 17:44
送出感谢: 0
接收感谢: 0

Re: 关于在PC机上编译madplay出现的问题

#3

帖子 muyuzhu » 2010-11-28 20:59

我是下的源码包在PC机上编译的,想测试一下 编译完后在madplay所在文件下生成有可执行文件madplay 然后我执行./madplay xxx.mp3 就提示上面信息
回复

回到 “老旧版本支持”